Bug 1195367 - fetchmail package no longer creates fetchmail user/group
fetchmail package no longer creates fetchmail user/group
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Network
Leap 15.4
Other openSUSE Leap 15.4
: P5 - None : Normal (vote)
: ---
Assigned To: David Anes
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2022-02-01 03:04 UTC by Pieter Hollants
Modified: 2022-03-28 08:03 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---
david.anes: needinfo? (pieter)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pieter Hollants 2022-02-01 03:04:59 UTC
Test install with openSUSE-Leap-15.4-NET-x86_64-Build130.2-Media.iso installs fetchmail-6.3.26-20.17.1 which misses /usr/lib/sysusers.d/fetchmail.conf causing the fetchmail user and group to be missing.

For comparison, my production 15.3 system has fetchmail-6.4.22-20.23.1 from the SLES 15 update repo, which does have /usr/lib/sysusers.d/fetchmail.conf and thus the fetchmail user and group.

Probably a duplicate from #1194203 and the update from January 12 didn't make it to any 15.4 update repo?
Comment 1 David Anes 2022-02-01 15:45:53 UTC
(In reply to Pieter Hollants from comment #0)
> Test install with openSUSE-Leap-15.4-NET-x86_64-Build130.2-Media.iso
> installs fetchmail-6.3.26-20.17.1 which misses
> /usr/lib/sysusers.d/fetchmail.conf causing the fetchmail user and group to
> be missing.
>

It seems the 15.4 repository hasn't received (yet) the update for that package, as the expected version for 15.4 will be 6.4.22 (which fixes that issue):
https://build.opensuse.org/package/show/openSUSE:Leap:15.4/fetchmail

Let's wait a bit for a repository rebuild.
Comment 2 David Anes 2022-02-25 21:43:13 UTC
(In reply to Pieter Hollants from comment #0)
> Probably a duplicate from #1194203 and the update from January 12 didn't
> make it to any 15.4 update repo?

Pieter, this is a kind follow up.

Does it update now to 6.4.22? I see the update was released some time ago and it should fix the issue.
Comment 3 David Anes 2022-03-28 08:03:25 UTC
Tested on new VM. Seems it works as expected. Feel free to reopen should this happen again.